/* Maps: STRATEGICALLY LOCATED */

#maps {
    padding-block: 10rem 20rem;
    min-height: 100dvh;

    display: grid;
    place-items: center;

    background-image: url("/maps/maps.webp");
    background-position: center bottom;
    background-size: cover;
    background-repeat: no-repeat;

    position: relative;
}

#maps .maps {
    display: grid;
    gap: 5rem;
}

#maps .maps-titles {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.5rem;
}
#maps .maps-titles h3 {
    background-color: unset;

    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 5.2rem;
    text-transform: uppercase;
    line-height: 1;
    color: var(--accent-yellow);

    margin-right: 3rem;
}
#maps .maps-titles button.btn {
    padding: 2.2rem 3.5rem;
    width: var(--w, 25rem);
    max-width: none;
    height: auto;

    transition: background-color 0.25s;
    border: 2px solid #000;

    cursor: pointer;
}

#maps .maps-titles button .btn__marquee span {
    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 3.6rem;
    text-transform: uppercase;
    line-height: 1;
}

#maps .maps-titles .button-box.-idle button.btn {
    background-color: transparent;
    border: 2px solid #fff;
}
#maps .maps-titles .button-box.-idle button.btn .btn__marquee span {
    color: var(--accent-yellow);
}


#maps .maps-titles .button-box {
    position: relative
}

#maps .maps-titles .button-box svg {
    position: absolute;
    top: 0;
    width: 1.5rem; height: 100%;

    stroke: #000;
    fill: var(--accent-yellow);
}
#maps .maps-titles .button-box:nth-of-type(1) svg {
    left: 0;
    transform: translateX(calc(-100% + 3px));
}
#maps .maps-titles .button-box:nth-of-type(1) button.btn {
    border-left: unset;
}

#maps .maps-titles .button-box:nth-of-type(2) svg {
    right: 0;
    transform: translateX(calc(100% - 3px)) scaleX(-1);
}
#maps .maps-titles .button-box:nth-of-type(2) button.btn {
    border-right: unset;
}

#maps .maps-titles .button-box.-idle svg {
    stroke: #fff;
    fill: none;
}

#maps .maps-inner {
    display: grid;
    grid-template-columns: 45rem 1fr;
    align-items: center;
}
#maps .maps-inner ul li {
    margin-block: 2rem;
    
    display: flex;
    align-items: center;
    gap: 1.5rem;
}
#maps .maps-inner ul li span {
    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 4rem;
    text-transform: uppercase;
    line-height: 1;
    color: #fff;

    transition: all 0.45s;
}
#maps .maps-inner ul li span.-hide {
    opacity: 0;
    transform: translateX(25%);
}
#maps .maps-inner #mapFrame {
    width: 100%;
    aspect-ratio: 1.8 / 1;
    border: 2px solid #000;
}

#maps ul.map-cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
}

#maps ul.map-cards li {
    --l: 60px;
    --sqrt2: 1.41421356;

    padding: 2rem;
    min-height: 17rem;

    display: flex;
    gap: 3rem;

    background-color: #00000066;
    backdrop-filter: blur(8px);

    clip-path: polygon(
        100% 0, 100%
        calc(100% - var(--l)),
        calc(100% - var(--l)) 100%,
        0 100%,
        0 0
    );

    border: 2px solid var(--accent-yellow);
    position: relative;
}
/* псевдобордер */
#maps ul.map-cards li::after {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;

    background:
        linear-gradient(
            135deg,
            transparent calc(100% - var(--l) * 0.7 - 1px),
            var(--accent-yellow) calc(100% - var(--l) * 0.7),
            var(--accent-yellow) calc(100% - var(--l) * 0.7 + 2px),
            transparent calc(100% - var(--l) * 0.7 + 3px)
        );
}

#maps ul.map-cards li dl {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
#maps ul.map-cards li dl dt {
    font-family: "Druk";
    font-style: italic;
    font-weight: 900;
    font-size: 3rem;
    text-transform: uppercase;
    line-height: 1;
    color: var(--accent-yellow);
}
#maps ul.map-cards li dl dd * {
    display: block;
    font-size: 1.7rem;
    line-height: 1.35;
    text-decoration: none;
    color: #fff;

    transition: color 0.25s;
}

#maps ul.map-cards li dl dd *:is(:hover, :focus) {
    color: var(--accent-yellow);
}


@media (max-width: 950px) {
    /* Maps */
    #maps .maps {
        place-content: center;
        place-items: center;
    }
    #maps .maps-titles {
        flex-wrap: wrap;
    }
    #maps .maps-titles h3 {
        flex: 1;
        flex-basis: 100%;
    }
    #maps .maps-inner {
        grid-template-columns: 1fr;
    }
    #maps .maps-inner #mapFrame {
        margin-inline: auto;
        width: 90dvw;
    }
    #maps .maps-inner ul {
        margin-inline: auto;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 2rem;
    }
    #maps .maps-inner ul li {
        flex-direction: column;
        max-width: 20rem;
        text-align: center;
    }
    #maps .maps-inner ul li span {
        font-size: 2rem;
    }
    #maps ul.map-cards {
        grid-template-columns: 1fr;
    }
}